<?php 
/**
 * wpStore
 *
 * Returns an array of countries, currencys and codes.
 *
 * @author	wpStore
 * @since	2.7.0
 */
function wpsl_get_currency( $field = '', $value = '' ) {
	
	$currency = apply_filters( 'wpsl_currency_list', array(
		'AED' => array(
			'name'      => __( 'Select national currency', 'wpsl' ),
			'iso_code'  => '',
			'code'      => '',
			'symbol'    => '-',
			'locale'    => '',
		),
		'AED' => array(
			'name'      => __( 'United Arab Emirates dirham', 'wpsl' ),
			'iso_code'  => '784',
			'code'      => 'AED',
			'symbol'    => '&#x62f;.&#x625;',
			'locale'    => 'ar',
		),
		'AFN' => array(
			'name'      => __( 'Afghan afghani', 'wpsl' ),
			'iso_code'  => '971',
			'code'      => 'AFN',
			'symbol'    => '&#x60b;',
			'locale'    => 'fa_AF',
		),
		'ALL' => array(
			'name'      => __( 'Albanian lek', 'wpsl' ),
			'iso_code'  => '8',
			'code'      => 'ALL',
			'symbol'    => 'L',
			'locale'    => 'sq',
		),
		'AMD' => array(
			'name'      => __( 'Armenian dram', 'wpsl' ),
			'iso_code'  => '51',
			'code'      => 'AMD',
			'symbol'    => 'AMD',
			'locale'    => 'hy',
		),
		'AOA' => array(
			'name'      => __( 'Angolan kwanza', 'wpsl' ),
			'iso_code'  => '973',
			'code'      => 'AOA',
			'symbol'    => 'Kz',
			'locale'    => 'pt_AO',
		),
		'ARS' => array(
			'name'      => __( 'Argentine peso', 'wpsl' ),
			'iso_code'  => '32',
			'code'      => 'ARS',
			'symbol'    => '&#36;',
			'locale'    => 'es_AR',
		),
		'AUD' => array(
			'name'      => __( 'Australian dollar', 'wpsl' ),
			'iso_code'  => '36',
			'code'      => 'AUD',
			'symbol'    => '&#36;',
			'locale'    => 'en_AU',
		),
		'AZN' => array(
			'name'      => __( 'Azerbaijani manat', 'wpsl' ),
			'iso_code'  => '944',
			'code'      => 'AZN',
			'symbol'    => 'AZN',
			'locale'    => 'az',
		),
		'BAM' => array(
			'name'      => __( 'Bosnia and Herzegovina convertible mark', 'wpsl' ),
			'iso_code'  => '977',
			'code'      => 'BAM',
			'symbol'    => 'KM',
			'locale'    => 'bs_BA',
		),
		'BDT' => array(
			'name'      => __( 'Bangladeshi taka', 'wpsl' ),
			'iso_code'  => '50',
			'code'      => 'BDT',
			'symbol'    => '&#2547;&nbsp;',
			'locale'    => 'bn_BD',
		),
		'BGN' => array(
			'name'      => __( 'Bulgarian lev', 'wpsl' ),
			'iso_code'  => '975',
			'code'      => 'BGN',
			'symbol'    => '&#1083;&#1074;.',
			'locale'    => 'bg_BG',
		),
		'BOB' => array(
			'name'      => __( 'Bolivian boliviano', 'wpsl' ),
			'iso_code'  => '68',
			'code'      => 'BOB',
			'symbol'    => 'Bs.',
			'locale'    => '',
		),
		'BRL' => array(
			'name'      => __( 'Brazilian real', 'wpsl' ),
			'iso_code'  => '986',
			'code'      => 'BRL',
			'symbol'    => '&#82;&#36;',
			'locale'    => 'pt_BR',
		),
		'BYR' => array(
			'name'      => __( 'Belarusian ruble', 'wpsl' ),
			'iso_code'  => '974',
			'code'      => 'BYR',
			'symbol'    => 'Br',
			'locale'    => 'bel',
		),
		'BZD' => array(
			'name'      => __( 'Belize dollar', 'wpsl' ),
			'iso_code'  => '84',
			'code'      => 'BZD',
			'symbol'    => '&#36;',
			'locale'    => '',
		),
		'CAD' => array(
			'name'      => __( 'Canadian dollar', 'wpsl' ),
			'iso_code'  => '124',
			'code'      => 'CAD',
			'symbol'    => '&#36;',
			'locale'    => 'en_CA',
		),
		'CDF' => array(
			'name'      => __( 'Congolese franc', 'wpsl' ),
			'iso_code'  => '976',
			'code'      => 'CDF',
			'symbol'    => 'Fr',
			'locale'    => '',
		),
		'CHF' => array(
			'name'      => __( 'Swiss franc', 'wpsl' ),
			'iso_code'  => '756',
			'code'      => 'CHF',
			'symbol'    => '&#67;&#72;&#70;',
			'locale'    => 'sv_SE',
		),
		'CLP' => array(
			'name'      => __( 'Chilean peso', 'wpsl' ),
			'iso_code'  => '152',
			'code'      => 'CLP',
			'symbol'    => '&#36;',
			'locale'    => 'es_CL',
		),
		'CNY' => array(
			'name'      => __( 'Chinese yuan', 'wpsl' ),
			'iso_code'  => '156',
			'code'      => 'CNY',
			'symbol'    => '&yen;',
			'locale'    => 'zh_CN',
		),
		'COP' => array(
			'name'      => __( 'Colombian peso', 'wpsl' ),
			'iso_code'  => '170',
			'code'      => 'COP',
			'symbol'    => '&#36;',
			'locale'    => 'es_CO',
		),
		'CRC' => array(
			'name'      => __( 'Costa Rican col&oacute;n', 'wpsl' ),
			'iso_code'  => '188',
			'code'      => 'CRC',
			'symbol'    => '&#x20a1;',
			'locale'    => 'es_CR',
		),
		'CZK' => array(
			'name'      => __( 'Czech koruna', 'wpsl' ),
			'iso_code'  => '203',
			'code'      => 'CZK',
			'symbol'    => '&#75;&#269;',
			'locale'    => 'cs_CZ',
		),
		'DKK' => array(
			'name'      => __( 'Danish krone', 'wpsl' ),
			'iso_code'  => '208',
			'code'      => 'DKK',
			'symbol'    => 'DKK',
			'locale'    => 'da_DK',
		),
		'DOP' => array(
			'name'      => __( 'Dominican peso', 'wpsl' ),
			'iso_code'  => '214',
			'code'      => 'DOP',
			'symbol'    => 'RD&#36;',
			'locale'    => 'es_DO',
		),
		'EUR' => array(
			'name'      => __( 'Euro', 'wpsl' ),
			'iso_code'  => '978',
			'code'      => 'EUR',
			'symbol'    => '&euro;',
			'locale'    => '',
		),
		'GBP' => array(
			'name'      => __( 'Pound sterling', 'wpsl' ),
			'iso_code'  => '826',
			'code'      => 'GBP',
			'symbol'    => '&pound;',
			'locale'    => 'en_GB',
		),
		'GEL' => array(
			'name'      => __( 'Georgian lari', 'wpsl' ),
			'iso_code'  => '981',
			'code'      => 'GEL',
			'symbol'    => '&#x10da;',
			'locale'    => 'ka_GE',
		),
		'GTQ' => array(
			'name'      => __( 'Guatemalan quetzal', 'wpsl' ),
			'iso_code'  => '320',
			'code'      => 'GTQ',
			'symbol'    => 'Q',
			'locale'    => 'es_GT',
		),
		'HNL' => array(
			'name'      => __( 'Honduran lempira', 'wpsl' ),
			'iso_code'  => '340',
			'code'      => 'HNL',
			'symbol'    => 'L',
			'locale'    => 'es_HN',
		),
		'HRK' => array(
			'name'      => __( 'Croatian kuna', 'wpsl' ),
			'iso_code'  => '191',
			'code'      => 'HRK',
			'symbol'    => 'Kn',
			'locale'    => 'hr',
		),
		'HTG' => array(
			'name'      => __( 'Haitian gourde', 'wpsl' ),
			'iso_code'  => '332',
			'code'      => 'HTG',
			'symbol'    => 'G',
			'locale'    => 'ht',
		),
		'HUF' => array(
			'name'      => __( 'Hungarian forint', 'wpsl' ),
			'iso_code'  => '348',
			'code'      => 'HUF',
			'symbol'    => '&#70;&#116;',
			'locale'    => 'hu',
		),
		'IDR' => array(
			'name'      => __( 'Indonesian rupiah', 'wpsl' ),
			'iso_code'  => '360',
			'code'      => 'IDR',
			'symbol'    => 'Rp',
			'locale'    => 'id',
		),
		'ILS' => array(
			'name'      => __( 'Israeli new shekel', 'wpsl' ),
			'iso_code'  => '376',
			'code'      => 'ILS',
			'symbol'    => '&#8362;',
			'locale'    => 'he',
		),
		'INR' => array(
			'name'      => __( 'Indian rupee', 'wpsl' ),
			'iso_code'  => '356',
			'code'      => 'INR',
			'symbol'    => '&#8377;',
			'locale'    => '',
		),
		'IRR' => array(
			'name'      => __( 'Iranian rial', 'wpsl' ),
			'iso_code'  => '364',
			'code'      => 'IRR',
			'symbol'    => '&#xfdfc;',
			'locale'    => 'fa_IR',
		),
		'ISK' => array(
			'name'      => __( 'Icelandic kr&oacute;na', 'wpsl' ),
			'iso_code'  => '352',
			'code'      => 'ISK',
			'symbol'    => 'kr.',
			'locale'    => '',
		),
		'JMD' => array(
			'name'      => __( 'Jamaican dollar', 'wpsl' ),
			'iso_code'  => '388',
			'code'      => 'JMD',
			'symbol'    => '&#36;',
			'locale'    => '',
		),
		'JOD' => array(
			'name'      => __( 'Jordanian dinar', 'wpsl' ),
			'iso_code'  => '400',
			'code'      => 'JOD',
			'symbol'    => '&#x62f;.&#x627;',
			'locale'    => '',
		),
		'JPY' => array(
			'name'      => __( 'Japanese yen', 'wpsl' ),
			'iso_code'  => '392',
			'code'      => 'JPY',
			'symbol'    => '&yen;',
			'locale'    => 'ja',
		),
		'KES' => array(
			'name'      => __( 'Kenyan shilling', 'wpsl' ),
			'iso_code'  => '404',
			'code'      => 'KES',
			'symbol'    => 'KSh',
			'locale'    => '',
		),
		'KGS' => array(
			'name'      => __( 'Kyrgyzstani som', 'wpsl' ),
			'iso_code'  => '417',
			'code'      => 'KGS',
			'symbol'    => '&#x441;&#x43e;&#x43c;',
			'locale'    => 'kir',
		),
		'KHR' => array(
			'name'      => __( 'Cambodian riel', 'wpsl' ),
			'iso_code'  => '116',
			'code'      => 'KHR',
			'symbol'    => '&#x17db;',
			'locale'    => '',
		),
		'KMF' => array(
			'name'      => __( 'Comorian franc', 'wpsl' ),
			'iso_code'  => '174',
			'code'      => 'KMF',
			'symbol'    => 'Fr',
			'locale'    => '',
		),
		'KPW' => array(
			'name'      => __( 'North Korean won', 'wpsl' ),
			'iso_code'  => '408',
			'code'      => 'KPW',
			'symbol'    => '&#x20a9;',
			'locale'    => 'ko_KR',
		),
		'KRW' => array(
			'name'      => __( 'South Korean won', 'wpsl' ),
			'iso_code'  => '410',
			'code'      => 'KRW',
			'symbol'    => '&#8361;',
			'locale'    => 'ko_KR',
		),
		'KWD' => array(
			'name'      => __( 'Kuwaiti dinar', 'wpsl' ),
			'iso_code'  => '414',
			'code'      => 'KWD',
			'symbol'    => '&#x62f;.&#x643;',
			'locale'    => '',
		),
		'KZT' => array(
			'name'      => __( 'Kazakhstani tenge', 'wpsl' ),
			'iso_code'  => '398',
			'code'      => 'KZT',
			'symbol'    => 'KZT',
			'locale'    => 'kk',
		),
		'LAK' => array(
			'name'      => __( 'Lao kip', 'wpsl' ),
			'iso_code'  => '418',
			'code'      => 'LAK',
			'symbol'    => '&#8365;',
			'locale'    => 'lo',
		),
		'LKR' => array(
			'name'      => __( 'Sri Lankan rupee', 'wpsl' ),
			'iso_code'  => '144',
			'code'      => 'LKR',
			'symbol'    => '&#xdbb;&#xdd4;',
			'locale'    => '',
		),
		'LRD' => array(
			'name'      => __( 'Liberian dollar', 'wpsl' ),
			'iso_code'  => '430',
			'code'      => 'LRD',
			'symbol'    => '&#36;',
			'locale'    => 'LR',
		),
		'LSL' => array(
			'name'      => __( 'Lesotho loti', 'wpsl' ),
			'iso_code'  => '426',
			'code'      => 'LSL',
			'symbol'    => 'L',
			'locale'    => 'LS',
		),
		'LYD' => array(
			'name'      => __( 'Libyan dinar', 'wpsl' ),
			'iso_code'  => '434',
			'code'      => 'LYD',
			'symbol'    => '&#x644;.&#x62f;',
			'locale'    => 'LY',
		),
		'MAD' => array(
			'name'      => __( 'Moroccan dirham', 'wpsl' ),
			'iso_code'  => '504',
			'code'      => 'MAD',
			'symbol'    => '&#x62f;.&#x645;.',
			'locale'    => 'ary',
		),
		'MDL' => array(
			'name'      => __( 'Moldovan leu', 'wpsl' ),
			'iso_code'  => '498',
			'code'      => 'MDL',
			'symbol'    => 'MDL',
			'locale'    => 'MD',
		),
		'MGA' => array(
			'name'      => __( 'Malagasy ariary', 'wpsl' ),
			'iso_code'  => '969',
			'code'      => 'MGA',
			'symbol'    => 'Ar',
			'locale'    => 'mg_MG',
		),
		'MKD' => array(
			'name'      => __( 'Macedonian denar', 'wpsl' ),
			'iso_code'  => '807',
			'code'      => 'MKD',
			'symbol'    => '&#x434;&#x435;&#x43d;',
			'locale'    => 'mk_MK',
		),
		'MNT' => array(
			'name'      => __( 'Mongolian t&ouml;gr&ouml;g', 'wpsl' ),
			'iso_code'  => '496',
			'code'      => 'MNT',
			'symbol'    => '&#x20ae;',
			'locale'    => 'mn',
		),
		'MXN' => array(
			'name'      => __( 'Mexican peso', 'wpsl' ),
			'iso_code'  => '484',
			'code'      => 'MXN',
			'symbol'    => '&#36;',
			'locale'    => 'es_MX',
		),
		'MYR' => array(
			'name'      => __( 'Malaysian ringgit', 'wpsl' ),
			'iso_code'  => '458',
			'code'      => 'MYR',
			'symbol'    => '&#82;&#77;',
			'locale'    => '',
		),
		'MZN' => array(
			'name'      => __( 'Mozambican metical', 'wpsl' ),
			'iso_code'  => '943',
			'code'      => 'MZN',
			'symbol'    => 'MT',
			'locale'    => '',
		),
		'NAD' => array(
			'name'      => __( 'Namibian dollar', 'wpsl' ),
			'iso_code'  => '516',
			'code'      => 'NAD',
			'symbol'    => '&#36;',
			'locale'    => '',
		),
		'NGN' => array(
			'name'      => __( 'Nigerian naira', 'wpsl' ),
			'iso_code'  => '566',
			'code'      => 'NGN',
			'symbol'    => '&#8358;',
			'locale'    => 'pcm',
		),
		'NIO' => array(
			'name'      => __( 'Nicaraguan c&oacute;rdoba', 'wpsl' ),
			'iso_code'  => '558',
			'code'      => 'NIO',
			'symbol'    => 'C&#36;',
			'locale'    => '',
		),
		'NOK' => array(
			'name'      => __( 'Norwegian krone', 'wpsl' ),
			'iso_code'  => '578',
			'code'      => 'NOK',
			'symbol'    => '&#107;&#114;',
			'locale'    => 'nn_NO',
		),
		'NPR' => array(
			'name'      => __( 'Nepalese rupee', 'wpsl' ),
			'iso_code'  => '524',
			'code'      => 'NPR',
			'symbol'    => '&#8360;',
			'locale'    => 'ne_NP',
		),
		'NZD' => array(
			'name'      => __( 'New Zealand dollar', 'wpsl' ),
			'iso_code'  => '554',
			'code'      => 'NZD',
			'symbol'    => '&#36;',
			'locale'    => 'en_NZ',
		),
		'PEN' => array(
			'name'      => __( 'Peruvian nuevo sol', 'wpsl' ),
			'iso_code'  => '604',
			'code'      => 'PEN',
			'symbol'    => 'S/.',
			'locale'    => 'es_PE',
		),
		'PHP' => array(
			'name'      => __( 'Philippine peso', 'wpsl' ),
			'iso_code'  => '608',
			'code'      => 'PHP',
			'symbol'    => '&#8369;',
			'locale'    => '',
		),
		'PKR' => array(
			'name'      => __( 'Pakistani rupee', 'wpsl' ),
			'iso_code'  => '586',
			'code'      => 'PKR',
			'symbol'    => '&#8360;',
			'locale'    => 'ur',
		),
		'PLN' => array(
			'name'      => __( 'Polish z&#x142;oty', 'wpsl' ),
			'iso_code'  => '985',
			'code'      => 'PLN',
			'symbol'    => '&#122;&#322;',
			'locale'    => 'pl_PL',
		),
		'PYG' => array(
			'name'      => __( 'Paraguayan guaran&iacute;', 'wpsl' ),
			'iso_code'  => '600',
			'code'      => 'PYG',
			'symbol'    => '&#8370;',
			'locale'    => '',
		),
		'QAR' => array(
			'name'      => __( 'Qatari riyal', 'wpsl' ),
			'iso_code'  => '634',
			'code'      => 'QAR',
			'symbol'    => '&#x631;.&#x642;',
			'locale'    => '',
		),
		'RON' => array(
			'name'      => __( 'Romanian leu', 'wpsl' ),
			'iso_code'  => '946',
			'code'      => 'RON',
			'symbol'    => 'lei',
			'locale'    => 'ro_RO',
		),
		'RSD' => array(
			'name'      => __( 'Serbian dinar', 'wpsl' ),
			'iso_code'  => '941',
			'code'      => 'RSD',
			'symbol'    => '&#x434;&#x438;&#x43d;.',
			'locale'    => 'sr_RS',
		),
		'RUB' => array(
			'name'      => 'Российский рубль',
			'iso_code'  => '643',
			'code'      => 'RUB',
			'symbol'    => '&#8381;',
			'locale'    => 'ru_RU',
		),
		'RWF' => array(
			'name'      => __( 'Rwandan franc', 'wpsl' ),
			'iso_code'  => '646',
			'code'      => 'RWF',
			'symbol'    => 'Fr',
			'locale'    => '',
		),
		'SAR' => array(
			'name'      => __( 'Saudi riyal', 'wpsl' ),
			'iso_code'  => '682',
			'code'      => 'SAR',
			'symbol'    => '&#x631;.&#x633;',
			'locale'    => '',
		),
		'SEK' => array(
			'name'      => __( 'Swedish krona', 'wpsl' ),
			'iso_code'  => '752',
			'code'      => 'SEK',
			'symbol'    => '&#107;&#114;',
			'locale'    => 'sv_SE',
		),
		'SGD' => array(
			'name'      => __( 'Singapore dollar', 'wpsl' ),
			'iso_code'  => '702',
			'code'      => 'SGD',
			'symbol'    => '&#36;',
			'locale'    => '',
		),
		'SLL' => array(
			'name'      => __( 'Sierra Leonean leone', 'wpsl' ),
			'iso_code'  => '694',
			'code'      => 'SLL',
			'symbol'    => 'Le',
			'locale'    => '',
		),
		'SOS' => array(
			'name'      => __( 'Somali shilling', 'wpsl' ),
			'iso_code'  => '706',
			'code'      => 'SOS',
			'symbol'    => 'Sh',
			'locale'    => 'so_SO',
		),
		'SRD' => array(
			'name'      => __( 'Surinamese dollar', 'wpsl' ),
			'iso_code'  => '968',
			'code'      => 'SRD',
			'symbol'    => '&#36;',
			'locale'    => '',
		),
		'SSP' => array(
			'name'      => __( 'South Sudanese pound', 'wpsl' ),
			'iso_code'  => '728',
			'code'      => 'SSP',
			'symbol'    => '&pound;',
			'locale'    => '',
		),
		'SYP' => array(
			'name'      => __( 'Syrian pound', 'wpsl' ),
			'iso_code'  => '760',
			'code'      => 'SYP',
			'symbol'    => '&#x644;.&#x633;',
			'locale'    => 'syr',
		),
		'SZL' => array(
			'name'      => __( 'Swazi lilangeni', 'wpsl' ),
			'iso_code'  => '748',
			'code'      => 'SZL',
			'symbol'    => 'L',
			'locale'    => '',
		),
		'THB' => array(
			'name'      => __( 'Thai baht', 'wpsl' ),
			'iso_code'  => '764',
			'code'      => 'THB',
			'symbol'    => '&#3647;',
			'locale'    => 'th',
		),
		'TJS' => array(
			'name'      => __( 'Tajikistani somoni', 'wpsl' ),
			'iso_code'  => '972',
			'code'      => 'TJS',
			'symbol'    => '&#x405;&#x41c;',
			'locale'    => 'tg',
		),
		'TMT' => array(
			'name'      => __( 'Turkmenistan manat', 'wpsl' ),
			'iso_code'  => '934',
			'code'      => 'TMT',
			'symbol'    => 'm',
			'locale'    => 'tuk',
		),
		'TND' => array(
			'name'      => __( 'Tunisian dinar', 'wpsl' ),
			'iso_code'  => '788',
			'code'      => 'TND',
			'symbol'    => '&#x62f;.&#x62a;',
			'locale'    => '',
		),
		'TOP' => array(
			'name'      => __( 'Tongan pa&#x2bb;anga', 'wpsl' ),
			'iso_code'  => '776',
			'code'      => 'TOP',
			'symbol'    => 'T&#36;',
			'locale'    => '',
		),
		'TRY' => array(
			'name'      => 'Türk lirası',
			'iso_code'  => '949',
			'code'      => 'TRY',
			'symbol'    => '&#8378;',
			'locale'    => 'tr_TR',
		),
		'TTD' => array(
			'name'      => __( 'Trinidad and Tobago dollar', 'wpsl' ),
			'iso_code'  => '780',
			'code'      => 'TTD',
			'symbol'    => '&#36;',
			'locale'    => '',
		),
		'TWD' => array(
			'name'      => __( 'New Taiwan dollar', 'wpsl' ),
			'iso_code'  => '901',
			'code'      => 'TWD',
			'symbol'    => '&#78;&#84;&#36;',
			'locale'    => 'th',
		),
		'TZS' => array(
			'name'      => __( 'Tanzanian shilling', 'wpsl' ),
			'iso_code'  => '834',
			'code'      => 'TZS',
			'symbol'    => 'Sh',
			'locale'    => '',
		),
		'UAH' => array(
			'name'      => __( 'Ukrainian hryvnia', 'wpsl' ),
			'iso_code'  => '980',
			'code'      => 'UAH',
			'symbol'    => '&#8372;',
			'locale'    => 'uk',
		),
		'UGX' => array(
			'name'      => __( 'Ugandan shilling', 'wpsl' ),
			'iso_code'  => '800',
			'code'      => 'UGX',
			'symbol'    => 'UGX',
			'locale'    => '',
		),
		'USD' => array(
			'name'      => __( 'United States dollar', 'wpsl' ),
			'iso_code'  => '840',
			'code'      => 'USD',
			'symbol'    => '&#36;',
			'locale'    => 'en_US',
		),
		'UYU' => array(
			'name'      => __( 'Uruguayan peso', 'wpsl' ),
			'iso_code'  => '858',
			'code'      => 'UYU',
			'symbol'    => '&#36;',
			'locale'    => 'es_UY',
		),
		'UZS' => array(
			'name'      => __( 'Uzbekistani som', 'wpsl' ),
			'iso_code'  => '860',
			'code'      => 'UZS',
			'symbol'    => 'UZS',
			'locale'    => 'uz_UZ',
		),
		'VEF' => array(
			'name'      => __( 'Venezuelan bol&iacute;var', 'wpsl' ),
			'iso_code'  => '937',
			'code'      => 'VEF',
			'symbol'    => 'Bs F',
			'locale'    => 'es_VE',
		),
		'VND' => array(
			'name'      => __( 'Vietnamese &#x111;&#x1ed3;ng', 'wpsl' ),
			'iso_code'  => '704',
			'code'      => 'VND',
			'symbol'    => '&#8363;',
			'locale'    => 'vi',
		),
		'VUV' => array(
			'name'      => __( 'Vanuatu vatu', 'wpsl' ),
			'iso_code'  => '548',
			'code'      => 'VUV',
			'symbol'    => 'Vt',
			'locale'    => '',
		),
		'WST' => array(
			'name'      => __( 'Samoan t&#x101;l&#x101;', 'wpsl' ),
			'iso_code'  => '882',
			'code'      => 'WST',
			'symbol'    => 'T',
			'locale'    => '',
		),
		'YER' => array(
			'name'      => __( 'Yemeni rial', 'wpsl' ),
			'iso_code'  => '886',
			'code'      => 'YER',
			'symbol'    => '&#xfdfc;',
			'locale'    => '',
		),
		'ZAR' => array(
			'name'      => __( 'South African rand', 'wpsl' ),
			'iso_code'  => '710',
			'code'      => 'ZAR',
			'symbol'    => '&#82;',
			'locale'    => 'zul',
		),
		'ZMW' => array(
			'name'      => __( 'Zambian kwacha', 'wpsl' ),
			'iso_code'  => '967',
			'code'      => 'ZMW',
			'symbol'    => 'ZK',
			'locale'    => '',
		),
	));
	
	if ( $field == '' ) {
		return $currency;
	} else {
		foreach ( $currency as $code => $data ) {
			if ( $data[$field] == $value ) {
				return $data;
			}
		}
	}
	
}